In the same spirit as BATCHCONVERTER there is INTEGRATION (especially if you want to change the name of the final file by adding the Revision property, because it doesn't seem to me that Batch knows how to do it).
You should ask the "DEV" at Axemble if he can create a "macro" for you from SW which launches INTEGRATION with your conversion + modification of the final file settings.
Personally, before switching to EPDM, we used BATCHCONVERTER to automatically convert MEPs to dxf, pdf and edrw in a directory other than those of the BEM (so that they would be accessible for production for example).
We launched the BATCHCONVERTER utility every evening which took into account all the drawings made or modified during the day (you manage this via the filters on the dates). The advantage is that there is no oversight, by this method, unlike your macro button which requires human intervention.
I was planning to post this one on Lynkoa but I didn't do it due to lack of time. Before posting it, I wanted to simplify it and comment on all the lines one by one for more readability for the neophytes of VBA programming.
Do you have the basics in VBA? Do you already have a base for this macro or are you starting from scratch?
I've created a tutorial for "Save-As" for SolidWorks (which is simpler and commented on for each line) that you can find here:
You'll already have some leads. I'm currently on vacation until the 6th, so I'll transfer the macro at that time (but be aware that this one is specific to our company and will require a lot of adaptation work).
I actually got the macro on the "Solidagora" forum.
But it gives me an error.
A problem related to the fact that I am in 64 bits. (as far as I understand)
I try to move forward to make it work.
And I'd also like to simplify it so that by pressing the macro icon it does what I ask it to do without having to enter a folder path or check the extension...
For the 64 bits the only problem I know is that when you launch the macro, the dialog box does not appear. With a "small" ALT + TAB, you bring up the dialog box (no need for all those longPtr and PrtSafe ...)
This answer doesn't answer your question
Patient self most people are on end-of-year leave it's going to come
Here's what I managed to do by recovering right and left.
Option Explicit Public Enum swDocumentTypes_e swDocNONE = 0 ' Used to be TYPE_NONE swDocPART = 1 ' Used to be TYPE_PART swDocASSEMBLY = 2 ' Used to be TYPE_ASSEMBLY swDocDRAWING = 3 ' Used to be TYPE_DRAWING
End Enum Dim swApp As Object Dim swModel As ModelDoc2 Dim sPathName As String Dim sReference As String Dim sSaveName As String Dim longstatus As Long Dim myRev As String Sub main() Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc
If swModel Is Nothing Then MsgBox ("No open document") ElseIf swModel.GetType <> 3 Then MsgBox ("This is not a drawing") Else sPathName = swModel.GetPathName' retrieves the display name of the current document sReference = Mid(sPathName, InStrRev(sPathName, "\") + 1) 'Retrieves everything after the last \ sReference = Left(sReference, Len(sReference) - 7) 'Removed the 6 characters corresponding to the file extension and the . sPathName = Left(sPathName, InStrRev(sPathName, "\")) 'Retrieves path without filename
'myRev = swModel.CustomInfo2("", "Hint") 'Retrieves the hint from the document properties myRev = swModel.GetCustomInfoValue("", "Index")